5.1.1.5.3. Drag and Drop in Table Components
Prev | 5.1.1.5. Drag and drop | Next

#### 5.1.1.5.3. Drag and Drop in Table Components

Drag Cell

- This action drags the table cell you specify.

- The cell is specified by its row and column values.

- The cursor is moved over the cell.

- The mouse button you specify is held, and the cell is dragged.

- You must follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Row

  - Row Operator

  - Column

  - Column Operator

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

If you want to drag multiple items, use an action to select the items you want to drag before using the drag action.

Drag Cell from Column

- This action drags the table cell you specify.

- The cell is specified by its column and the value in the cell.

- The cursor is moved over the cell.

- The mouse button you specify is held, and the cell is dragged.

- You must follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Column

  - Column Operator

  - Value

  - Value Operator

  - Search Type

If you want to drag multiple items, use an action to select the items you want to drag before using the drag action.

Drag Cell from Row

- This action drags the table cell you specify.

- The cell is specified by its row and the value in the cell.

- The cursor is moved over the cell.

- The mouse button you specify is held, and the cell is dragged.

- You must follow this action with a drop action.

- Parameters:

  - Mouse Button

  - Modifier Keys

  - Row

  - Row Operator

  - Value

  - Value Operator

  - Search Type

If you want to drag multiple items, use an action to select the items you want to drag before using the drag action.

Drop on Cell

- This action drops a dragged item onto a cell you specify.

- The cell where the drop should occur is specified by its row and column values.

- The cursor is moved over the cell.

- The mouse button you specify is let loose, and the cell is dropped.

- Precede this action with a drag action.

- Parameters:

  - Row

  - Row Operator

  - Column

  - Column Operator

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Delay before drop

Drop on Cell from Column

- This action drops a dragged item onto a cell you specify.

- The cell where the drop should occur is specified by its column and the value in the cell.

- The cursor is moved over the cell.

- The mouse button you specify is let loose, and the cell is dropped.

- Precede this action with a drag action.

- Parameters:

  - Column

  - Column Operator

  - Value

  - Value Operator

  - Search Type

  - Delay before drop

Drop on Cell from Row

- This action drops a dragged item onto a cell you specify.

- The cell where the drop should occur is specified by its row and the value in the cell.

- The cursor is moved over the cell.

- The mouse button you specify is let loose, and the cell is dropped.

- Precede this action with a drag action.

- Parameters:

  - Row

  - Row Operator

  - Value

  - Value Operator

  - Search Type

  - Delay before drop